# eric6.Helpviewer.HelpDocsInstaller

Module implementing a thread class populating and updating the QtHelp documentation database.

### Global Attributes

None

### Classes

HelpDocsInstaller | Class implementing the worker thread populating and updating the QtHelp documentation database.

### Functions

None

## HelpDocsInstaller

Class implementing the worker thread populating and updating the QtHelp documentation database.

### Signals

docsInstalled(bool)
  emitted after the installation has finished
errorMessage(str)
  emitted, if an error occurred during the installation of the documentation

### Derived from

QThread

### Class Attributes

None

### Class Methods

None

### Methods

HelpDocsInstaller | Constructor
__installEric6Doc | Private method to install/update the eric6 help documentation.
__installQtDoc | Private method to install/update a Qt help document.
installDocs | Public method to start the installation procedure.
run | Public method executed by the thread.
stop | Public slot to stop the installation procedure.

### Static Methods

None

#### HelpDocsInstaller (Constructor)

HelpDocsInstaller(collection)

Constructor

collection
  full pathname of the collection file (string)

#### HelpDocsInstaller.__installEric6Doc

__installEric6Doc(engine)

Private method to install/update the eric6 help documentation.

engine
  reference to the help engine (QHelpEngineCore)

Returns:
  flag indicating success (boolean)

#### HelpDocsInstaller.__installQtDoc

__installQtDoc(name, version, engine)

Private method to install/update a Qt help document.

name
  name of the Qt help document (string)
version
  Qt version of the help documens (integer)
engine
  reference to the help engine (QHelpEngineCore)

Returns:
  flag indicating success (boolean)

#### HelpDocsInstaller.installDocs

installDocs()

Public method to start the installation procedure.

#### HelpDocsInstaller.run

run()

Public method executed by the thread.

#### HelpDocsInstaller.stop

stop()

Public slot to stop the installation procedure.

Up